Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class FrameWithBrowserText

    java.lang.Object
      edu.stanford.smi.protege.util.FrameWithBrowserText

All Implemented Interfaces:
  Localizable, Serializable

    public class FrameWithBrowserText

extends Object
implements Serializable, Localizable

See Also:
  Serialized Form

Constructor Summary
`FrameWithBrowserText(Frame frame)`
`FrameWithBrowserText(Frame frame, String browserText, Collection<Cls> types)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getBrowserText()`
`Frame` | `getFrame()`
`Collection<Cls>` | `getTypes()`
`int` | `hashCode()`
`void` | `localize(KnowledgeBase kb)`
`void` | `setBrowserText(String browserText)`
`void` | `setFrame(Frame frame)`
`void` | `setTypes(Collection<Cls> types)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameWithBrowserText

    public FrameWithBrowserText(Frame frame)

### FrameWithBrowserText

    public FrameWithBrowserText(Frame frame,
                                String browserText,
                                Collection<Cls> types)

Method Detail

### getFrame

    public Frame getFrame()

### setFrame

    public void setFrame(Frame frame)

### getBrowserText

    public String getBrowserText()

### setBrowserText

    public void setBrowserText(String browserText)

### getTypes

    public Collection<Cls> getTypes()

### setTypes

    public void setTypes(Collection<Cls> types)

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.